Subject: Re: GPIO - marking individual pins (not) available in device tree

From: David Gibson <[email-masked]>
Date: Fri, 24 Oct 2008 14:27:39 +1100

On Thu, Oct 23, 2008 at 12:22:03PM -1000, Mitch Bradley wrote:
> You could have the gpio node define an "address space" where each  
> "address" is a GPIO pin number.
>
> The node would have one address cell and one size cell, and the  

Not necessarily.  If you were to have such an address space, the only
sane way of encoding it would be using the same "gpio descriptor"
format as is used in 'gpios' properties.  Which would mean the gpio
controller would in this situation have #address-cells == #gpio-cells.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson